Name:           pdftk
Version:        1.41
Release:        %mkrel 9
Summary:        PDF Tool Kit
License:        GPLv2+
Group:          Publishing
URL:            http://www.pdfhacks.com/pdftk/
Source0:        http://www.pdfhacks.com/pdftk/%{name}-%{version}.tar.bz2
Patch0:         pdftk-1.41-rpmopt.patch
Patch1:         pdftk-1.41-system-libgcj.patch
Patch2:         pdftk-1.41-gcjh.patch
BuildRequires:  java-devel-gcj
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Requires:	bouncycastle

%description
Pdftk is a simple tool for doing everyday things with PDF documents.
Keep one in the top drawer of your desktop and use it to:
- Merge PDF Documents
- Split PDF Pages into a New Document
- Decrypt Input as Necessary (Password Required)
- Encrypt Output as Desired
- Fill PDF Forms with FDF Data and/or Flatten Forms
- Apply a Background Watermark
- Report on PDF Metrics, including Metadata and Bookmarks
- Update PDF Metadata
- Attach Files to PDF Pages or the PDF Document
- Unpack PDF Attachments
- Burst a PDF Document into Single Pages
- Uncompress and Re-Compress Page Streams
- Repair Corrupted PDF (Where Possible)

%prep
%setup -q
%patch0 -p1 -b .rpmopt
%patch1 -p0 -b .system-libgcj
%patch2 -p0 -b .gcjh

%{__perl} -pi -e "s/\r$//g" pdftk.1.txt

%{__rm} -r java_libs/gnu_local java_libs/java_local java_libs/gnu

%build
pushd pdftk
%{__make} GCJ=gcj GCJFLAGS="%{optflags} -I`pwd`/../java_libs -Wno-all" GCJH=gcjh CXX=g++ VERSUFF=-$(rpm -q --queryformat "%{VERSION}" gcj-tools) -f Makefile.Mandrake
popd

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_bindir}
%{__cp} -a pdftk/pdftk %{buildroot}%{_bindir}/pdftk

%{__mkdir_p} %{buildroot}%{_mandir}/man1
%{__cp} -a debian/pdftk.1 %{buildroot}%{_mandir}/man1/pdftk.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc pdftk.1.html pdftk.1.txt
%attr(0755,root,root) %{_bindir}/pdftk
%{_mandir}/man1/pdftk.1*


%changelog
* Tue Oct 20 2009 Ahmad Samir <ahmadsamir@mandriva.org> 1.41-9mdv2010.0
+ Revision: 458430
- Add bouncycastle as BR (fix bug #54738)

* Sat Sep 26 2009 Michael Scherer <misc@mandriva.org> 1.41-8mdv2010.0
+ Revision: 449472
- rebuild for bug 48880
- fix license

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild
    - rebuild

  + David Walluck <walluck@mandriva.org>
    - clean up build
    - BuildRequires: java-devel-gcj
    - fix build
    - bump release for build system bug
    - change BuildRequires
    - fix BuildRequires
    - fix URL and Source0 URL
    - patch for new gcj

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.41-3mdv2008.1
+ Revision: 136654
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Sep 09 2007 Pascal Terjan <pterjan@mandriva.org> 1.41-3mdv2008.0
+ Revision: 83393
- and make it buildable too
- Make the package submitable
- rebuild
- rebuild


* Tue Dec 19 2006 Lev Givon <lev@mandriva.org> 1.41-1mdv2007.0
+ Revision: 100300
- Import pdftk

